/*
 * Copyright © 2021 by Data Virtuality GmbH
 */
package org.teiid.translator;

import java.util.HashMap;
import java.util.Map;

/**
 * @author Roman Pedchenko
 * @date 2021.01.02
 */
public class TranslationContext {
    private final Map<String, Object> variables = new HashMap<>();

    public Object setVariable(String key, Object value) {
        return this.variables.put(key, value);
    }

    public Object getVariable(String key) {
        return this.variables.get(key);
    }
}
